r11956 - /scripts/qa/svncruftcheck

gregoa-guest at users.alioth.debian.org gregoa-guest at users.alioth.debian.org
Thu Jan 3 19:53:28 UTC 2008


Author: gregoa-guest
Date: Thu Jan  3 19:53:28 2008
New Revision: 11956

URL: http://svn.debian.org/wsvn/?sc=1&rev=11956
Log:
add svncruftcheck: checks for directories in /branches/upstream or /tags without corresponding directories in /trunk

Added:
    scripts/qa/svncruftcheck   (with props)

Added: scripts/qa/svncruftcheck
URL: http://svn.debian.org/wsvn/scripts/qa/svncruftcheck?rev=11956&op=file
==============================================================================
--- scripts/qa/svncruftcheck (added)
+++ scripts/qa/svncruftcheck Thu Jan  3 19:53:28 2008
@@ -1,0 +1,24 @@
+#!/bin/sh
+
+# Copyright gregor herrmann <gregor+debian at comodo.priv.at>, 2007, 2008
+# Released under the terms of the GNU GPL 2
+
+. commoncheck
+
+echo "CHECK: $REPO/branches/upstream"
+for p in $(svn ls $REPO/branches/upstream); do
+	p=${p%/}
+	echo "  $p"
+	if ! svn ls $REPO/trunk/$p >/dev/null 2>&1 ; then
+		echo "$p is in $REPO/branches/upstream but not in $REPO/trunk"
+	fi
+done
+
+echo "CHECK: $REPO/tags"
+for p in $(svn ls $REPO/tags); do
+	p=${p%/}
+	echo "  $p"
+	if ! svn ls $REPO/trunk/$p >/dev/null 2>&1 ; then
+		echo "$p is in $REPO/tags but not in $REPO/trunk"
+	fi
+done

Propchange: scripts/qa/svncruftcheck
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-perl-cvs-commits mailing list